/***************************************************************************
 *   Copyright (C) 2003 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef OPTIONS_H
#define OPTIONS_H

#include <map>
using namespace std;

#include <qstring.h>


/**
@author Antonio Fasolato
*/
class Options{
public:
    Options();

    void setValue(QString, QString);
    bool isEmpty();
    void clear();

	QString operator[](QString key);
	static Options* defaultOptions();

private:
	map<QString,QString> options;
};

#endif
